[RELEASE] Showmax KODI Add-on

JeremySly

Well-Known Member
Joined
Apr 9, 2019
Messages
185
i have tested and working fine for me.
make sure it's full upto date (version 0.26.4)
and also check slyguy common is upto date (0.25.3)
 

dapps

New Member
Joined
Mar 6, 2021
Messages
3
Thanks for the great plug-ins. If you please help me out, I'm having trouble with my Showmax Plugin (dstv now works fine).

I've reinstall everything, Showmax 0.26.5
and Slyguy common: 0.26.9 and installed the lasted Widevine CDM 4.10.1679.0 version, restarted it.

When I start a video on Showmax, it looks it wants to play the video but then just stops with a flash and then nothing plays. I've been using it for a while without any issues.

Anything I can try my side? Thanks again!
 

enerdude

Expert Member
Joined
Jan 10, 2009
Messages
2,685
Thanks for the great plug-ins. If you please help me out, I'm having trouble with my Showmax Plugin (dstv now works fine).

I've reinstall everything, Showmax 0.26.5
and Slyguy common: 0.26.9 and installed the lasted Widevine CDM 4.10.1679.0 version, restarted it.

When I start a video on Showmax, it looks it wants to play the video but then just stops with a flash and then nothing plays. I've been using it for a while without any issues.

Anything I can try my side? Thanks again!
Mine is working but my slyguy common is 0.27.0. Go to addons --> My addons --> Addon Repository then highlight slyguy repository and hold ok / enter and select 'Check for updates' to force an update.

Not sure it that would fix it for you though.
 

JeremySly

Well-Known Member
Joined
Apr 9, 2019
Messages
185
@dapps
Try dropping to older widevsion version.
You can do that via Showmax > settings > Playback > Install Widevine CDM
Then select 4.10.1582.2
See if that helps
 

dapps

New Member
Joined
Mar 6, 2021
Messages
3
Thanks @enerdude, I tried the "Check for updates" but my Slyguy Common version stays on 0.26.9 :(

Thanks @JeremySly, I tried to dropping to older versions, but getting the same result. The widevine versions that I have tried 4.10.1440.18, 4.10.1503.4 and 4.10.1679.0 (latest) but non made a difference, playback still not working on Showmax.

I'm going to try a Fresh install of OSMC and then install the Slygug Repo again. Will keep you updated if that solves my issue. Thanks
 

Saber

Well-Known Member
Joined
Mar 7, 2005
Messages
118
When I start a video on Showmax, it looks it wants to play the video but then just stops with a flash and then nothing plays. I've been using it for a while without any issues.
I have the exact same issue. Slyguy Common is 0.27 and I have also tried all three versions of Widevine. I have also reinstalled OSMC, still no luck...
 

dapps

New Member
Joined
Mar 6, 2021
Messages
3
I have the exact same issue. Slyguy Common is 0.27 and I have also tried all three versions of Widevine. I have also reinstalled OSMC, still no luck...
Same result on my side. Re-installed OSMC and the Sluguy repo (Common 0.27), I still can't play video on Showmax.

(I'm trying out an Android TV build on my PI4, and it's ok so far )
 

JeremySly

Well-Known Member
Joined
Apr 9, 2019
Messages
185
oh, what version of Inputstream Adaptive is OSMC using?
2.4.7 is required and I suspect OSMC is using 2.4.6

I will add back in the proxy work-around for Showmax

UPDATE:
try updating (slyguy common and showmax) and see if now works in OSMC
 
Last edited:

Saber

Well-Known Member
Joined
Mar 7, 2005
Messages
118
try updating (slyguy common and showmax) and see if now works in OSMC
Jeremy, you're a rock star! The Showmax app is working once more.

I'm unable to find the version of Inputstream Adaptive used by OSMC but I suspect you're right. OSMC was last updated in November.

At any rate, we're once again able to enjoy our paid service on the TV thanks to you (and no thanks to powers that be that refuse to create an official app for kodi...).
 

jmlsauls

Active Member
Joined
Feb 20, 2018
Messages
30
Thanks for the awesome work. Any way to bypass the parental control pin? I cannot watch anything above the parental control I set as it just give a message saying incorrect pin
 

JeremySly

Well-Known Member
Joined
Apr 9, 2019
Messages
185
looks like the test login I use is no longer valid.

Can't test / fix until I have a login to use.
If anyone can help, PM me

Update:
Now have test logins. Will get fixed soon
 
Last edited:
Top